Accept the presented Spritz agreements
curl --request POST \
--url https://platform.spritz.finance/v1/agreements/acceptances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"presentationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accept": [],
"screenSha256": "<string>",
"esignCheckboxChecked": true
}
'import requests
url = "https://platform.spritz.finance/v1/agreements/acceptances"
payload = {
"presentationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accept": [],
"screenSha256": "<string>",
"esignCheckboxChecked": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
presentationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accept: [],
screenSha256: '<string>',
esignCheckboxChecked: true
})
};
fetch('https://platform.spritz.finance/v1/agreements/acceptances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.spritz.finance/v1/agreements/acceptances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'presentationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'accept' => [
],
'screenSha256' => '<string>',
'esignCheckboxChecked' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.spritz.finance/v1/agreements/acceptances"
payload := strings.NewReader("{\n \"presentationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accept\": [],\n \"screenSha256\": \"<string>\",\n \"esignCheckboxChecked\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.spritz.finance/v1/agreements/acceptances")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"presentationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accept\": [],\n \"screenSha256\": \"<string>\",\n \"esignCheckboxChecked\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.spritz.finance/v1/agreements/acceptances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"presentationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accept\": [],\n \"screenSha256\": \"<string>\",\n \"esignCheckboxChecked\": true\n}"
response = http.request(request)
puts response.read_body{
"operationId": "<string>",
"presentationId": "<string>",
"revision": "<string>",
"occurredAt": "<string>",
"eventIds": [
"<string>"
],
"agreements": {
"status": "accepted",
"revision": "<string>",
"items": [
{
"type": "terms_of_service",
"action": "accept",
"status": "accepted",
"currentVersion": "<string>",
"acceptedVersion": "<string>",
"acceptedAt": "<string>",
"withdrawnAt": "<string>",
"archivedUrl": "<string>"
}
]
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true,
"reason": "crypto_released"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true,
"reason": "crypto_released"
}Users
Accept the presented Spritz agreements
Submit directly from the customer’s client using Cognito or this presentation’s submissionToken. This network evidence is not cryptographic proof of human assent.
POST
/
v1
/
agreements
/
acceptances
Accept the presented Spritz agreements
curl --request POST \
--url https://platform.spritz.finance/v1/agreements/acceptances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"presentationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accept": [],
"screenSha256": "<string>",
"esignCheckboxChecked": true
}
'import requests
url = "https://platform.spritz.finance/v1/agreements/acceptances"
payload = {
"presentationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accept": [],
"screenSha256": "<string>",
"esignCheckboxChecked": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
presentationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accept: [],
screenSha256: '<string>',
esignCheckboxChecked: true
})
};
fetch('https://platform.spritz.finance/v1/agreements/acceptances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.spritz.finance/v1/agreements/acceptances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'presentationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'accept' => [
],
'screenSha256' => '<string>',
'esignCheckboxChecked' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.spritz.finance/v1/agreements/acceptances"
payload := strings.NewReader("{\n \"presentationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accept\": [],\n \"screenSha256\": \"<string>\",\n \"esignCheckboxChecked\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.spritz.finance/v1/agreements/acceptances")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"presentationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accept\": [],\n \"screenSha256\": \"<string>\",\n \"esignCheckboxChecked\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.spritz.finance/v1/agreements/acceptances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"presentationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accept\": [],\n \"screenSha256\": \"<string>\",\n \"esignCheckboxChecked\": true\n}"
response = http.request(request)
puts response.read_body{
"operationId": "<string>",
"presentationId": "<string>",
"revision": "<string>",
"occurredAt": "<string>",
"eventIds": [
"<string>"
],
"agreements": {
"status": "accepted",
"revision": "<string>",
"items": [
{
"type": "terms_of_service",
"action": "accept",
"status": "accepted",
"currentVersion": "<string>",
"acceptedVersion": "<string>",
"acceptedAt": "<string>",
"withdrawnAt": "<string>",
"archivedUrl": "<string>"
}
]
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true,
"reason": "crypto_released"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true,
"reason": "crypto_released"
}Authorizations
bearerAuthagreementsSubmission
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data